package cn.novalon.gym.manage.sys.core.exception;

/**
 * 字典已存在异常
 * 
 * @author 张翔
 * @date 2026-03-13
 */
public class DictionaryAlreadyExistsException extends RuntimeException {
    
    private final String type;
    private final String code;
    
    public DictionaryAlreadyExistsException(String type, String code) {
        super("Dictionary with type '" + type + "' and code '" + code + "' already exists");
        this.type = type;
        this.code = code;
    }
    
    public String getType() {
        return type;
    }
    
    public String getCode() {
        return code;
    }
}
